/*!
 * Easy Popup v0.0.3
 * https://github.com/viivue/easy-popup
 */
/* master */
html.easy-popup-open {overflow:hidden;}
html:not(.easy-popup-open) .easy-popup-master {opacity:0; visibility:hidden;}
.easy-popup-master {
    --easy-popup-mobile-breakpoint:1023px;
    --easy-popup-heading-height:45px;
    --easy-popup-top-empty-space:100px; /* on mobile */
    position:fixed; top:0; left:0; width:100%; height:100%; z-index:9999;
    background:rgba(0, 0, 0, .3);
    backdrop-filter:blur(2px);
    transition:opacity .4s ease, visibility .4s ease;
}

/* popup */
.easy-popup:not(.open) {opacity:0; visibility:hidden; transform:scale(1.05); pointer-events:none;}
.easy-popup {
    position:absolute; top:0; left:0;
    height:100%; width:100%;
    transition:opacity .4s ease, visibility .4s ease, transform .4s ease;
    display:flex; align-items:center; justify-content:center;
}

/* overflow */
.easy-popup-overflow {
    position:relative; z-index:2;
    width:100%; max-height:100%; overflow-y:auto; overflow-x:hidden;
    background: #000000a3;
}

/* custom scrollbar */
.easy-popup-overflow *::-webkit-scrollbar {width:7px;}
.easy-popup-overflow *::-webkit-scrollbar-track {background:#eee;}
.easy-popup-overflow *::-webkit-scrollbar-thumb {background-color:#000;}

/* overflow > mobile heading */
.easy-popup-mobile-heading {
    display:none;
    position:absolute; top:0; left:0;
    width:100%; background:#eee; border-radius:10px 10px 0 0;
}
.easy-popup-heading-inner {
    display:flex; align-items:center; justify-content:space-between;
    min-height:var(--easy-popup-heading-height); padding:5px 20px;
}

/* container */
.easy-popup-container {
    position:relative;
    padding:40px 20px; box-sizing:border-box;
    width:100%; max-width:915px; margin:0 auto;
}
.easy-popup-inner {position:relative;}

/* content */
[data-easy-popup]:not(.easy-popup-enabled) {display:none;}
.easy-popup-content {
    background:#fff; padding:20px; position:relative;
    border-radius:10px; overflow:hidden;
}
.easy-popup-content img{
	width:100%;
	height:auto;
}
/* close button */
.easy-popup-close-button {
    position:absolute; top:0; right:0; z-index:2;
    padding:10px; background:transparent; border:none;
}
.easy-popup-close-button svg {transition:all .3s ease;}
.easy-popup-close-button:hover svg {fill:#ef1616;}


/****************************
 * Easy Popup Mobile Layout
****************************/
@media only screen and (max-width:1023px) {
    .easy-popup-content {padding:25px 20px;}
    .easy-popup.easy-popup-has-mobile-layout {align-items:flex-end;}
    .easy-popup.easy-popup-has-mobile-layout .easy-popup-overflow {
        padding-top:var(--easy-popup-heading-height);
        overflow:hidden; display:flex;
    }
    .easy-popup.easy-popup-has-mobile-layout .easy-popup-container {
        padding:0; overflow:auto; max-width:100%;
        min-height:calc(80vh - var(--easy-popup-top-empty-space));
        background:#fff;
    }
    .easy-popup.easy-popup-has-mobile-layout .easy-popup-close-button:not(.mobile) {display:none;}

    /* transition */
    .easy-popup.easy-popup-has-mobile-layout:not(.open) .easy-popup-overflow {transform:translateY(20%);}
    .easy-popup.easy-popup-has-mobile-layout .easy-popup-overflow {transition:transform .3s ease;}

    /* overflow > mobile heading */
    .easy-popup.easy-popup-has-mobile-layout .easy-popup-mobile-heading {display:block;}
}